//////////////////////////////////////////
// SplitterTest.h
// Copyright (c) 01/02/2003 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResSplitterTest.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCSDIクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CSDI
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CSDI(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnExit();
	bool OnAddwin0();
	bool OnDelwin0();
	bool OnAddwin1();
	bool OnDelwin1();
	bool OnAddwin2();
	bool OnDelwin3();
	bool OnAddwin3();
	bool OnDelwin2();
	bool OnAddpage();
	bool OnDelpage();
	bool OnVersion();
	//ウィンドウメッセージ関連
	bool OnCreate(WPARAM, LPARAM);
	bool OnSize(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd SplitterTest("SplitterTest");	//ウィンドウクラスインスタンスの生成

BEGIN_SDIMSG(SplitterTest)	//ダイアログと違い、コールバック関数名を特定しない
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(SplitterTest, IDM_EXIT, OnExit())
	ON_COMMAND(SplitterTest, IDM_ADDWIN0, OnAddwin0())
	ON_COMMAND(SplitterTest, IDM_DELWIN0, OnDelwin0())
	ON_COMMAND(SplitterTest, IDM_ADDWIN1, OnAddwin1())
	ON_COMMAND(SplitterTest, IDM_DELWIN1, OnDelwin1())
	ON_COMMAND(SplitterTest, IDM_ADDWIN2, OnAddwin2())
	ON_COMMAND(SplitterTest, IDM_DELWIN3, OnDelwin3())
	ON_COMMAND(SplitterTest, IDM_ADDWIN3, OnAddwin3())
	ON_COMMAND(SplitterTest, IDM_DELWIN2, OnDelwin2())
	ON_COMMAND(SplitterTest, IDM_ADDPAGE, OnAddpage())
	ON_COMMAND(SplitterTest, IDM_DELPAGE, OnDelpage())
	ON_COMMAND(SplitterTest, IDM_VERSION, OnVersion())
	//ウィンドウメッセージ関連
	ON_CREATE(SplitterTest)
	ON_SIZE(SplitterTest)
	ON_CLOSE(SplitterTest)
END_WNDMSG

///////////////////
//ツールバーの作成
///////////////////
CTBAR TBar;

///////////////////////
//ステータスバーの作成
///////////////////////
CSBAR SBar;

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;

